Page 1 of 3 123 LastLast
Results 1 to 10 of 24

Thread: Upgrade to 5.0 from 4.5.9 fails

  1. #1
    Join Date
    Feb 2007
    Location
    Dallas, TX
    Posts
    39
    Rep Power
    8

    Default Upgrade to 5.0 from 4.5.9 fails

    I killed my zimbra installation last nite . It is failing on the Scalar::Util perl module, but I do not understand how to get around this as other posts have talked about. I made a backup before the upgrade, but I am unsure of the recovery process also. Any help would be greatly appreciated.

    Error in installation:
    Checking 5.0.0_BETA2
    Updating from 5.0.0_BETA2
    Checking 5.0.0_BETA3
    Updating from 5.0.0_BETA3
    Starting mysql
    Tue Jan 1 00:52:53 2008: Executing /opt/zimbra/libexec/scripts/migrate20070713-NullContactBlobDigest.pl
    Stopping mysql
    Stopping ldap
    Migrating ldap bdb log files
    Checking ldap status
    Starting ldap
    Tue Jan 1 00:53:51 2008: Executing /opt/zimbra/libexec/scripts/migrate20070809-Signatures.pl
    Moving postfix queues from 2.2.9 to 2.4.3.3
    Moving defer
    cp: target `/opt/zimbra/postfix-2.4.3.3/spool/defer' is not a directory
    chown: cannot access `/opt/zimbra/postfix-2.4.3.3/spool/defer': No such file or directory
    Moving deferred
    cp: target `/opt/zimbra/postfix-2.4.3.3/spool/deferred' is not a directory
    chown: cannot access `/opt/zimbra/postfix-2.4.3.3/spool/deferred': No such file or directory
    Checking 5.0.0_BETA4
    Updating from 5.0.0_BETA4
    Migrating amavisd-new to version 2.5.2
    Checking /opt/zimbra/amavisd-new-2.4.3/db
    Checking /opt/zimbra/amavisd-new-2.4.3/.spamassassin
    Checking /opt/zimbra/amavisd-new-2.4.1/db
    Checking /opt/zimbra/amavisd-new-2.4.1/.spamassassin
    Checking /opt/zimbra/amavisd-new-2.3.3/db
    Checking /opt/zimbra/amavisd-new-2.3.3/.spamassassin
    Checking /opt/zimbra/amavisd-new-2.3.1/db
    Checking /opt/zimbra/amavisd-new-2.3.1/.spamassassin
    Checking 5.0.0_RC1
    Updating from 5.0.0_RC1
    Checking 5.0.0_RC2
    Updating from 5.0.0_RC2
    Stopping ldap
    Checking ldap status
    Starting ldap
    Checking 5.0.0_RC3
    Updating from 5.0.0_RC3
    5 is only avaliable with the XS version at /opt/zimbra/zimbramon/lib/IO/Socket/SSL.pm line 30
    BEGIN failed--compilation aborted at /opt/zimbra/zimbramon/lib/IO/Socket/SSL.pm line 30, line 16.
    Compilation failed in require at /opt/zimbra/zimbramon/lib/Net/LDAP.pm line 970,
    line 16.

    Thanks
    Clay

  2. #2
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,587
    Rep Power
    58

    Default

    Try the answer in this post.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  3. #3
    Join Date
    Feb 2007
    Location
    Dallas, TX
    Posts
    39
    Rep Power
    8

    Default

    OK...I found that post last nite but was unsure of how to accomplish this....

    so are you saying to copy the perl info into the root/.bashrc file...

    I am weak at my understanding of .bashrc files and exporting references...

    Plus I am using RHEL5..not RHEL4...

    Thanks
    Clay

  4. #4
    Join Date
    Nov 2005
    Posts
    477
    Rep Power
    10

    Default

    Quote Originally Posted by clayway View Post
    OK...I found that post last nite but was unsure of how to accomplish this....

    so are you saying to copy the perl info into the root/.bashrc file...

    I am weak at my understanding of .bashrc files and exporting references...

    Plus I am using RHEL5..not RHEL4...

    Thanks
    I am running CentOS 5 and also ran into this last night. I followed thoose instructions, but now am getting the following errors and no mail delivery:
    Code:
    Jan  1 09:18:04 hiro zimbramon[9700]: 9700:info: 2008-01-01 09:18:01, STATUS: www.technicaldetails.org: stats: Running 
    Jan  1 09:18:08 hiro postfix/trivial-rewrite[10017]: error: dict_ldap_connect: Unable to set STARTTLS: -11: Connect error
    Jan  1 09:18:08 hiro last message repeated 2 times
    Jan  1 09:18:08 hiro postfix/trivial-rewrite[10017]: fatal: ldap:/opt/zimbra/conf/ldap-vad.cf(0,lock|fold_fix): table lookup problem
    Jan  1 09:18:08 hiro postfix/trivial-rewrite[10018]: error: dict_ldap_connect: Unable to set STARTTLS: -11: Connect error
    Jan  1 09:18:09 hiro last message repeated 2 times
    Jan  1 09:18:09 hiro postfix/trivial-rewrite[10018]: fatal: ldap:/opt/zimbra/conf/ldap-vad.cf(0,lock|fold_fix): table lookup problem
    Jan  1 09:18:09 hiro postfix/trivial-rewrite[10019]: error: dict_ldap_connect: Unable to set STARTTLS: -11: Connect error
    Jan  1 09:18:09 hiro last message repeated 2 times
    Jan  1 09:18:09 hiro postfix/trivial-rewrite[10019]: fatal: ldap:/opt/zimbra/conf/ldap-vad.cf(0,lock|fold_fix): table lookup problem
    Jan  1 09:18:09 hiro postfix/master[6289]: warning: process /opt/zimbra/postfix-2.4.3.3z/libexec/trivial-rewrite pid 10017 exit status 1
    Jan  1 09:18:09 hiro postfix/master[6289]: warning: /opt/zimbra/postfix-2.4.3.3z/libexec/trivial-rewrite: bad command startup -- throttling
    I have not yet searched to see what might be causing this problem.

  5. #5
    Join Date
    May 2006
    Location
    USA
    Posts
    6,242
    Rep Power
    21

  6. #6
    Join Date
    Feb 2007
    Location
    Pennsylvania
    Posts
    96
    Rep Power
    8

    Default

    Hey guys,
    I am having the same issues as you both.....well.....I get the same errors from the first post and I have not received a resolution.

    I'm using CentOS4 and was upgrading from 4.5.10 to 5.0 with no luck. I tried, as suggested, to add those lines in root's bashrc file with no luck. I was still "hanging" with the same errors from the first post.

    The logic is that CentOS follows RHEL so I'm not sure if RHEL users are experiencing the same issues.

    Again, I'm still waiting for an answer. I had to revert back to 4.5.10.

  7. #7
    Join Date
    Feb 2007
    Location
    Dallas, TX
    Posts
    39
    Rep Power
    8

    Default

    reckless2k2,

    How did you revert back...

    I have a fully backed up directory of /opt/zimbra....can I just copy it over the existing /opt/zimbra....??

    I have also added the export variable to the root/.bashrc file and it still errors out in the same place.....

    I just need to get my email system back to 4.5.9 and up and running....this is really making me sweat...

    Any help will be greatly appreciated...

    Thanks
    Clay

  8. #8
    Join Date
    Feb 2007
    Location
    Pennsylvania
    Posts
    96
    Rep Power
    8

    Default

    mmorse please comment on this for accuracy.

    1. I completely uninstalled 5.0 as well as removing various locations on server such as in /etc. *Don't delete where ever your backup is*
    2. I then reinstalled the older version I was running. In my case the last version was 4.5.10.
    3. Then I rsynced over from my last backup which restored my last backup.
    That "should" fix you right up and is what's suggested to restore in issues such as this.

    PLEASE CONFIRM WITH A ZIMBRA PERSON!

  9. #9
    Join Date
    May 2006
    Location
    USA
    Posts
    6,242
    Rep Power
    21

    Default

    FOSS? (I see you did the NE trial once upon a time - which of course has hot full & incremental backups) but still http://www.zimbra.com/forums/announc...r-profile.html

    To get you back on 4.5.9:
    1) If you had done like ./install.sh -u (careful with this -u make sure your backup is tared up/safely offsite somewhere) be sure your /opt/zimbra is empty > then run the 4.5.9 ./install.sh -s > copy in your backup, re-run ./install.sh (no -s option on this last part).
    2) Other method is entirely without -s > wipe /opt/zimbra > put in your good backup> ./install.sh using the 4.5.9 installer.
    Backing up and restoring Zimbra (Open Source Version) - Zimbra :: Wiki
    Open Source Edition Backup Procedure - Zimbra :: Wiki

    I have asked someone about the perl issue, once your comfortably back on 4.5.9 (be sure to test your restore throughly) you might get to 4.5.10 while we wait to see if they have any insights, keep in mind it appears these are all FOSS so any help given is taking up their valuable time.
    Last edited by mmorse; 01-01-2008 at 11:06 AM. Reason: 4.5.10FOSS link because there's no community/downloads_previous.html yet

  10. #10
    Join Date
    Feb 2007
    Location
    Dallas, TX
    Posts
    39
    Rep Power
    8

    Default

    mmorse...

    OK...maybe I am stupid...but what is FOSS??? Is that the open source version??

    I am using the network edition and have a support contract...but being that it is new years day...I believe you guys are not working today..correct...with the exception of yourself....

    Thanks for the reply and I am currently coping my backup in ..it is just taking forever to copy 125+gigs over....as soon as that is done I will rerun ./install.sh whenever the copy finally finishes.....

    Is there actually any config files stored under /etc with zimbra as reckless2k2 mentioned...

    Thanks again...
    Clay

Similar Threads

  1. 4.5.10 -> 5.0 upgrade fails
    By InternetGuy in forum Administrators
    Replies: 3
    Last Post: 01-12-2008, 03:44 PM
  2. Successful upgrade from OpenSuSE 10.0 (4.5.9 to 5.0)
    By bradb21 in forum Installation
    Replies: 6
    Last Post: 01-02-2008, 11:02 AM
  3. Upgrade from ZCS 4.5.9 to ZCS 5.0 RC3
    By punit.jain in forum Installation
    Replies: 4
    Last Post: 12-31-2007, 07:49 AM
  4. ZCS 5.0 FOSS is Released!!!
    By jholder in forum Announcements
    Replies: 1
    Last Post: 12-21-2007, 12:21 PM
  5. ubuntu upgrade to 4.5.9 fails
    By jeepville in forum Installation
    Replies: 9
    Last Post: 11-01-2007, 11:44 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •